# 文件提交系统

这是一个为广东理工学院开发的文件提交系统,旨在帮助学校老师更好地收集和管理学生作业。

## 功能特性

- 学生登录和文件上传
- 教师管理班级和作业
- 管理员管理系统用户和权限
- 文件上传到AWS S3存储
- 邮件验证码功能
- 作业提交统计和导出

## 技术栈

- 后端: Python Flask
- 数据库: MySQL
- 前端: HTML, CSS, JavaScript
- 云存储: AWS S3
- 其他: Flask-Mail, Flask-Bcrypt, Flask-Session

## 安装和设置

1. 克隆仓库:
git clone https://git.sq0715.com/qin/File_upload_system_GuangdongLiGong.git

2. 安装依赖:
pip install -r requirements.txt

3. 设置环境变量:
创建一个.env文件,包含必要的配置信息(参考.env.example)

4. 初始化数据库:
运行`python insert_data_to_database.py`

5. 运行应用:
python app.py

## 使用说明

- 学生: 通过学号和密码登录,选择作业并上传文件
- 教师: 登录后可以管理班级、添加作业、查看提交情况
- 管理员: 可以添加/管理专业、年级、班级、教师和其他管理员

## 贡献

欢迎提交问题和合并请求。对于重大更改,请先开issue讨论您想要更改的内容。


